<?php

namespace Modules\Mall\Http\Controllers\Admin;

use Modules\Mall\Models\Shop;

trait WithShop
{

    public function shop($form)
    {
        return $form->select('shop_id', '所属店铺')
                    ->options(function ($shopId) {
                        $shop = Shop::find($shopId);
                        if ($shop) {
                            return [$shop->id => $shop->name];
                        }
                    })
                    ->ajax(route('admin.mall.shops.ajax'));
    }

}